Subject: Re: dtc: Add program to convert dts files from v0 to v1

From: Jon Loeliger <[email-masked]>
Date: Mon, 19 May 2008 21:23:02 -0500

> This patch adds a new utility program, convert-dtsv0, to the dtc
> sources.  This program will convert dts files from v0 to v1,
> preserving comments and spacing.  It also includes some heuristics to
> guess an appropriate base to use in the v1 output (so it will use hex
> for the contents of reg properties and decimal for clock-frequency
> properties, for example).  They're limited and imperfect, but not
> terrible.
> 
> The guts of the converter program is a modified version of the lexer
> from dtc itself.
> 
> Signed-off-by: David Gibson <[email-masked]>

Applied.

For the record, I'd like to eventually retire this program
as well as support for /dts-v0/.

jdl